<?php

namespace Ardent\UtilBundle\EntityBuilder;

use Symfony\Component\Console\Question\Question;

class BaseElement
{
    public function getQuestion(): Question
    {
        return new Question($this->getPrettyProperty());
    }

    protected function getPrettyProperty(): string
    {
        return ucfirst(strtolower(implode(' ', preg_split('/(?=[A-Z])/', $this->getProperty()))));
    }

    public function __construct(
        private readonly string $property,
    )
    {
    }

    public function getProperty(): string
    {
        return $this->property;
    }

    public function __toString(): string
    {
        return $this->property;
    }
}